Action Groups

A named, reusable bundle of call actions, such as transferring, hanging up, or sending an SMS, that run together when triggered by an agent status change or a matched transcription.

GET /schedule_action_groups

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/schedule_action_groups

List Action Group records.

Returns Action Groups, which bundle a set of schedule actions that can be triggered together, for example from a call disposition or a keyword rule.

Params

Param name Description
ids
Optional

Return records matching these ids.

  • Must be an array of decimal values. EG: [0, 1, 2, 3]

page
Optional

Return the next page of results.

  • Must be a number.

per_page
Optional

How many results to return per page. The default is 25.

  • Must be a number.

created_at_to
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

created_at_from
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

fulltext
Optional

Search for any record that matches this text

  • Must be a String

time_zone
Optional

Date ranges will be parsed using this time zone.

columns
Optional
Specify the columns you would like returned by the API for a given resource. Limiting the columns can significantly increase API response time since only the requested data will be processed. columns=uuid,number,created_at

Must be any combination of:

  • id
  • legacy_id
  • type
  • uuid
  • created_at
  • updated_at
  • deleted_at
  • user_updated_at
  • routes_show_path
  • routes_edit_path
  • external_record_id
  • company_id
  • name
  • description
  • schedule_action_ids
  • schedule_actions_count
  • Must be a String

root
Optional

Pass root=false to return results without a root node and metadata.
For example:
GET /api/v1/calls?root=false will return [call1, call2, call3]
While:
GET /api/v1/calls will return {calls: [call1, call2, call3], metadata: {}}

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

GET /schedule_action_groups/new

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/schedule_action_groups/new

Build Action Group with defaults.

Returns an Action Group built with default attributes for previewing available fields. It is not saved.

Params

Param name Description
name
Optional Blank value allowed

Name

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

POST /schedule_action_groups

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/schedule_action_groups

Create Action Group.

Creates an Action Group with a name and description, to be populated with actions and referenced from other flows and rules.

Params

Param name Description
name
Optional Blank value allowed

Name

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

GET /schedule_action_groups/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/schedule_action_groups/:id

Get Action Group by id.

Returns a single Action Group by id.

PUT /schedule_action_groups/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/schedule_action_groups/:id

Update Action Group by id.

Updates an Action Group's name or description.

Params

Param name Description
name
Optional Blank value allowed

Name

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

DELETE /schedule_action_groups/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/schedule_action_groups/:id

Destroy Action Group by id.

Permanently deletes an Action Group.